package com.jasamedika.medifirst2000.converter;

import java.util.ArrayList;
import java.util.List;
import java.util.Map;

import org.springframework.stereotype.Component;

import com.google.gson.Gson;
import com.jasamedika.medifirst2000.converter.base.BaseVoConverter;
import com.jasamedika.medifirst2000.entities.KelahiranYangLalu;
import com.jasamedika.medifirst2000.vo.KelahiranYangLaluVO;

/**
 * Converter class between KelahiranYangLaluConverter
 * 
 * @author Askur
 */
@Component
public class KelahiranYangLaluConverter implements BaseVoConverter<KelahiranYangLaluVO, KelahiranYangLalu> {
	

	public KelahiranYangLalu transferVOToModel(KelahiranYangLaluVO vo, KelahiranYangLalu model) {
		if (null == model)
			model = new KelahiranYangLalu();
		try {
			String[] fieldsToInclude = null;
			Map<String, Object> serialized = vo.serialize(fieldsToInclude,vo.getClass().getName());
			Gson gson = new Gson();
	        String json = gson.toJson(serialized);
	        model = gson.fromJson(json, KelahiranYangLalu.class);
		} catch (Exception e) {
			e.printStackTrace();
		}
		return model;

	}

	public List<KelahiranYangLaluVO> transferListOfModelToListOfVO(List<KelahiranYangLalu> models,
			List<KelahiranYangLaluVO> vos) {
		if (null == vos)
			vos = new ArrayList<KelahiranYangLaluVO>();

		if (null == models)
			return vos;

		for (KelahiranYangLalu KelahiranYangLalu : models) {
			KelahiranYangLaluVO vo = new KelahiranYangLaluVO();
			vo = transferModelToVO(KelahiranYangLalu, vo);
			vos.add(vo);
		}

		return vos;
	}

	@Override
	public KelahiranYangLaluVO transferModelToVO(KelahiranYangLalu model, KelahiranYangLaluVO vo) {

		if (null == vo)
			vo = new KelahiranYangLaluVO();
		try {
			String[] fieldsToInclude = null;
			Map<String, Object> serialized = model.serialize(fieldsToInclude,model.getClass().getSimpleName());
			Gson gson = new Gson();
	        String json = gson.toJson(serialized);
	        vo = gson.fromJson(json, KelahiranYangLaluVO.class);
		} catch (Exception e) {
			e.printStackTrace();
		}

		return vo;
	
	}

	
}
